Bug 1502584 - Review Request: boost-nowide - boost library making cross platform Unicode aware programming easier
Summary: Review Request: boost-nowide - boost library making cross platform Unicode aw...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1419271 1506504
TreeView+ depends on / blocked
 
Reported: 2017-10-16 09:38 UTC by James Hogarth
Modified: 2018-04-19 00:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-07 09:31:59 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description James Hogarth 2017-10-16 09:38:54 UTC
Spec URL: https://jhogarth.fedorapeople.org/boost-nowide/boost-nowide.spec
SRPM URL: https://jhogarth.fedorapeople.org/boost-nowide/boost-nowide-0-20171003.gitec9672b.fc28.src.rpm

Description: Boost.Nowide is a library implemented by Artyom Beilis
that makes cross platform Unicode aware programming
easier.

The library provides an implementation of standard C and C++ library
functions, such that their inputs are UTF-8 aware on Windows without
requiring to use Wide API.


Fedora Account System Username: jhogarth

Comment 1 James Hogarth 2017-10-16 09:43:02 UTC
Not marking this as blocked on the EPEL7 boost157 review as this is a *Fedora* review ... the EPEL part is just for information and future intent only...

Note this is the first time I've dealt with boost so would appreciate feedback on the proper way to handle this module until such time as nowide upstream submits, and has it included in, boost upstream.

Comment 2 James Hogarth 2017-10-19 09:43:00 UTC
FYI nowide was accepted into boost back in June, but it's pending a few activities by the developer before they merge it:

https://lists.boost.org/boost-announce/2017/06/0516.php

Comment 3 James Hogarth 2017-10-19 14:11:41 UTC
Noted that this is a header only 'library' so updated the spec accordingly:

Spec URL: https://jhogarth.fedorapeople.org/boost-nowide/boost-nowide.spec
SRPM URL: https://jhogarth.fedorapeople.org/boost-nowide/boost-nowide-0-20171019.gitec9672b.fc28.src.rpm

Comment 4 James Hogarth 2017-10-25 13:39:54 UTC
A small update to make it compatible with the boost157 EPEL7 package that is about to complete review.

This build also includes the built html docs in its own subpackage.

Spec URL: https://jhogarth.fedorapeople.org/boost-nowide/boost-nowide.spec
SRPM URL: https://jhogarth.fedorapeople.org/boost-nowide/boost-nowide-0-20171025.gitec9672b.fc28.src.rpm

This is tested in both building and usage in the facter3 COPR

https://copr.fedorainfracloud.org/coprs/jhogarth/facter3/

Comment 5 Robert-André Mauchin 2017-10-25 17:32:46 UTC
>Note this is the first time I've dealt with boost so would appreciate feedback on the proper way to handle this module until such time as nowide upstream submits, and has it included in, boost upstream.


I can't really give you much feedback regarding boost as I am rather a novice, but I can review the package in its current state. Try asking on the mailing list for more feedback.


 - The main package summary is not very explicit:

Summary:	Libraries

 - Just use:

Source0:	https://github.com/%{gh_owner}/%{gh_project}/archive/%{gh_commit}/%{name}-%{gh_short}.tar.gz

# Use upstream pull request to have proper cmake files for shared library building
Patch0: https://patch-diff.githubusercontent.com/raw/%{gh_owner}/%{gh_project}/pull/27.patch/%{name}-PR-27.patch

 - Use either spaces or tabs, not both:

boost-nowide.src:28: W: mixed-use-of-spaces-and-tabs (spaces: line 28, tab: line 6)


All these points are trivial to fix, so the package is good to go imho.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (2 clause)", "Unknown or generated",
     "GPL". 107 files have unknown license. Detailed output of licensecheck
     in /home/bob/packaging/review/boost-nowide/review-boost-
     nowide/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 911360 bytes in 78 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: boost-nowide-0-20171025.gitec9672b.fc28.noarch.rpm
          boost-nowide-devel-0-20171025.gitec9672b.fc28.noarch.rpm
          boost-nowide-docs-0-20171025.gitec9672b.fc28.noarch.rpm
          boost-nowide-0-20171025.gitec9672b.fc28.src.rpm
boost-nowide.noarch: W: no-documentation
boost-nowide-devel.noarch: W: no-documentation
boost-nowide.src:28: W: mixed-use-of-spaces-and-tabs (spaces: line 28, tab: line 6)
4 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 6 James Hogarth 2017-10-26 08:41:18 UTC
Haha thanks ... yeah I forgot that I put a placeholder in the summary whilst working on getting the spec itself working properly.

Huh didn't realise github supported that URL syntax ... followed the previous github srpms I've worked with for the source0 in this.

I might go back to my other packages and update as I think that's clearer than the url#foo syntax.

Will have to test and consider that.

Comment 7 Gwyn Ciesla 2017-10-26 12:34:59 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/boost-nowide

Comment 8 Fedora Update System 2017-10-27 15:39:06 UTC
boost-nowide-0-20171026.gitec9672b.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5fd0649fa8

Comment 9 Fedora Update System 2017-10-27 18:49:19 UTC
boost-nowide-0-20171026.gitec9672b.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-83589a192b

Comment 10 Fedora Update System 2018-04-19 00:06:21 UTC
boost-nowide-0-20171026.gitec9672b.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-04-19 00:28:49 UTC
boost-nowide-0-20171026.gitec9672b.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.